s2_semi_mgau_s Struct Reference

## Data Fields

ps_mgau_t | base
| base structure. More...
cmd_ln_t * | config
gauden_t * | g
uint8 *** | mixw
mmio_file_t * | sendump_mmap
uint8 * | mixw_cb
int32 | n_sen
uint8 * | topn_beam
int16 | max_topn
int16 | ds_ratio
vqFeature_t *** | topn_hist
| Top-N scores and codewords for past frames. More...
uint8 ** | topn_hist_n
| Variable top-N for past frames. More...
vqFeature_t ** | f
| Topn-N for currently scoring frame. More...
int | n_topn_hist
| Number of past frames tracked. More...
logmath_t * | lmath_8b
logmath_t * | lmath

## Detailed Description

Definition at line 59 of file s2_semi_mgau.h.

## Field Documentation

ps_mgau_t s2_semi_mgau_s::base

base structure.

Definition at line 60 of file s2_semi_mgau.h.

vqFeature_t** s2_semi_mgau_s::f

Topn-N for currently scoring frame.

Definition at line 76 of file s2_semi_mgau.h.

int s2_semi_mgau_s::n_topn_hist

Number of past frames tracked.

Definition at line 77 of file s2_semi_mgau.h.

vqFeature_t*** s2_semi_mgau_s::topn_hist

Top-N scores and codewords for past frames.

Definition at line 74 of file s2_semi_mgau.h.

uint8** s2_semi_mgau_s::topn_hist_n

Variable top-N for past frames.

Definition at line 75 of file s2_semi_mgau.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/s2_semi_mgau.h